%define name sturmbahnfahrer
%define oname stormbaancoureur
%define version	1.5.3
%define rel 1
%define release %mkrel %rel

Summary: Simulated obstacle course for automobiles
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.stolk.org/sturmbahnfahrer/download/%{oname}-%{version}.tar.bz2
Patch: sturmbahnfahrer-1.5.2-use-shared-ode.patch
Group: Games/Arcade
License: GPL
URL: http://www.sturmbahnfahrer.com/
BuildRequires: ode-devel >= 0.6
BuildRequires: plib-devel
BuildRequires: ImageMagick
BuildRequires: mesaglut-devel
BuildRequires: alsa-lib-devel

%description
Sturmbahnfahrer... for expert drivers only.
If you want to master it, try to have the laws of physics work with you, not
against you.

Enabling technologies behind Sturmbahnfahrer include the Open Dynamics Engine
and the portable game library known as PLIB.

Sturmbahnfahrer is a game by Bram Stolk.

%prep

%setup -q -n %{oname}-%{version}/src-%{oname}
%patch -p0
# x86_64
perl -pi -e "s#LIBDIRNAME=lib#LIBDIRNAME=%{_lib}#g" Makefile

# creates icons
convert -scale 16x16 images/engine.tga %{name}-16.png
convert -scale 32x32 images/engine.tga %{name}-32.png
convert -scale 48x48 images/engine.tga %{name}-48.png

%build
%make

%install
rm -rf %{buildroot}
%makeinstall DESTDIR=%{buildroot}

#icons
install -d -m 755 %{buildroot}/%{_miconsdir}
install -m 644 %{name}-16.png %{buildroot}/%{_miconsdir}/%{name}.png
install -d -m 755 %{buildroot}/%{_iconsdir}
install -m 644 %{name}-32.png %{buildroot}/%{_iconsdir}/%{name}.png
install -d -m 755 %{buildroot}/%{_liconsdir}
install -m 644 %{name}-48.png %{buildroot}/%{_liconsdir}/%{name}.png

#xdg menu
install -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Sturmbahnfahrer
Comment=Simulated obstacle course for automobiles
Exec=%{_gamesbindir}/%{oname}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcageGame;
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc JOYSTICKS README TODO *.keys.example
%attr(0755,root,games) %{_gamesbindir}/*
%{_gamesdatadir}/stormbaancoureur
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Dec 27 2007 Jérôme Soyer <saispo@mandriva.org> 1.5.3-1mdv2008.1
+ Revision: 138426
- New release

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu Aug 23 2007 Funda Wang <fundawang@mandriva.org> 1.5.2-1mdv2008.0
+ Revision: 70680
- should be ode rather than obe :p
- fix libpath on x86-64 arch
- use shared obe patch
- fix file list
- New version 1.5.2

* Wed May 23 2007 Guillaume Bedot <littletux@mandriva.org> 1.4-1mdv2008.0
+ Revision: 30045
- Release 1.4


* Wed Mar 07 2007 Guillaume Bedot <littletux@mandriva.org> 1.3-1mdv2007.0
+ Revision: 134263
- Buildrequires fix (once more)
- Buildrequires fix (again)
- Buildrequires fix
- new release (1.3)
- Created package structure for sturmbahnfahrer.

